Jump to content


Photo

BFME2 (Special Edition) SEE Patch 1.07


  • Please log in to reply
39 replies to this topic

#1 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 15 September 2013 - 12:43 PM

Hi all,

 

I joined this great forum to ask a couple of question concerning the SEE edition.

 

Only some days ago I obtained The Battle for Middle Earth 2 Special Edition somewhere and it is a great version which incorporates the latest 1.07 patch in it. I am talking about the absolute latest patch which is released in March of this year found here: http://www.gamerepla...howtopic=914706

 

Apart from this patch it also has some other “Features” which you can find yourself when you search for “Battle for Middle Earth 2 Special Edition” on Google (first result) I won’t give the link because I assume this would be “Piracy” then.

 

However, what I really would like to know is does the SEE version work with the 1.07 patch? Also, I used SEE back in 2011 and I had version 4.5 back then. I see this version hasn’t changed, so is there a new version? And if so where could I obtain it?

 

Thank you in advanced.

 

Hulkster



#2 Valheru

Valheru

    Ashen Shugar

  • Project Team
  • 763 posts
  • Location:Australia
  • Projects:patching & see

Posted 15 September 2013 - 01:30 PM

I dont think it does, but the patch comes with the patch switcher, just swap to 1.06 and run the mod :)


SEE_Team_Rigger.jpg


#3 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 15 September 2013 - 01:34 PM

I don't use the patch switcher because the version I use has version 1.07 incorporated in it. And it is a huge improvement over 1.06 as you might see. I don't want to use 1.06 anymore because 1.07 is everything the game should have been back in 2006.

 

Maybe Nazgûl could share a light on my questions.


Edited by Hulkster, 15 September 2013 - 01:37 PM.


#4 Valheru

Valheru

    Ashen Shugar

  • Project Team
  • 763 posts
  • Location:Australia
  • Projects:patching & see

Posted 15 September 2013 - 02:04 PM

You say

 

-Only some days ago I obtained The Battle for Middle Earth 2 Special Edition somewhere and it is a great version which incorporates the latest 1.07 patch in it

 

-Then you say

 

-does the SEE version work with the 1.07 patch?

 

What is your actual question, your contradicting yourself here. Im asking because Im the director of 1.07, perhaps I can help.

 

Anyways, if there is an SEE 1.07, im interested too!


SEE_Team_Rigger.jpg


#5 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 15 September 2013 - 02:17 PM

When I talk about the 1.07 patch I talk about the actual patch for the game such as patch 1.06. When I talk about "SEE" I am talking about the MOD "Special Extended Edition".

 

As I wrote I want the latest version of the SEE MOD to work with my Battle For Middle Earth 2 game that has patch 1.07. So not patch 1.06 of the game but 1.07, that was released in March of this year, see here: http://www.gamerepla...howtopic=914706

 

And it has hundreds of bug fixes from version 1.06. Read the link and you might want to start using 1.07 as well.



#6 Valheru

Valheru

    Ashen Shugar

  • Project Team
  • 763 posts
  • Location:Australia
  • Projects:patching & see

Posted 15 September 2013 - 02:23 PM

lol epic english barriers :) I made 1.07, but I will surely check it out!


SEE_Team_Rigger.jpg


#7 Phil

Phil

    Force Majeure

  • Network Leaders
  • 7,961 posts
  • Location:Switzerland
  • Projects:Revora, C&C:Online
  •  Thought Police
  • Division:Revora
  • Job:Network Leader
  • Donated
  • Association

Posted 15 September 2013 - 02:28 PM

It will probably "work" but all the changes of 1.07 will be absent from SEE (because it uses its own rules that override patch 1.07).

Also, don't worry too much about piracy, the game isn't even sold any more so they don't lose money.


revorapresident.jpg
My Political Compass

Sieben Elefanten hatte Herr Dschin
Und da war dann noch der achte.
Sieben waren wild und der achte war zahm
Und der achte war's, der sie bewachte.


#8 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 15 September 2013 - 02:29 PM

Ahaaaaaaaaaaa, I see. I see now, your made the 1.07 patch. I see here Valheru and on the page I gave you (which is your own patch) hahaha you call yourself Val.

 

Wow man, you did a wonderfull job with that patch. I really can see it in things, although I don't play the game very often lately. So I obtained a Battle for Middle Earth 2 Special Edition, which has your patch in it incorporated. And I really would like that version (1.07) to work with the latest version of SEE. Because I miss some things from SEE, that I really would like to get back in the game (when I played it back in 2011).

 

Thank you for your help so far and great we understand each other now :thumbsuphappy: .

 

By the way I am dutch, so it is always a language barrier between people from different countries.


Edited by Hulkster, 15 September 2013 - 02:33 PM.


#9 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 15 September 2013 - 02:31 PM

It will probably "work" but all the changes of 1.07 will be absent from SEE (because it uses its own rules that override patch 1.07).

Also, don't worry too much about piracy, the game isn't even sold any more so they don't lose money.

 

Aha I see. I didn't want to give the link here of the version I obtained (downloaded) and thought, if I would post it here I get a ban sooner then I would get a responds.


Edited by Hulkster, 15 September 2013 - 02:34 PM.


#10 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,471 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 15 September 2013 - 10:30 PM

Nazgul and the SEE team have been working on the Special Extended Edition - Directors Cut. Check it out! http://forums.revora...ne/#entry909856

 

P.S. - I haven't tried the unofficial patches, however, I can give you some more information about SEE -DC. NJM1983 and I are mappers. Nazgul has been coding with Ridder Geel and Ridder Blauw. Nazgul has also been making high detail models, but he has been stuck for a long time.

  • It uses the RC-mod system, it acts like an expansion to BfMEII, but requires RotWK
  • Only Moria has been mostly completed
  • You can BETA test it

Edited by MattTheLegoman, 16 September 2013 - 12:30 AM.

Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#11 NewErr

NewErr

    Legionary of Doom

  • Project Team
  • 2,153 posts
  • Location:Romania
  • Projects:The RC Mod
  •  World Wide Artist

Posted 17 September 2013 - 07:30 AM

Nazgul is stuck cause his aquarium broken and all his fish died .He's been busy all summer .



#12 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 17 September 2013 - 02:58 PM

 

Nazgul and the SEE team have been working on the Special Extended Edition - Directors Cut. Check it out! http://forums.revora...ne/#entry909856

 

P.S. - I haven't tried the unofficial patches, however, I can give you some more information about SEE -DC. NJM1983 and I are mappers. Nazgul has been coding with Ridder Geel and Ridder Blauw. Nazgul has also been making high detail models, but he has been stuck for a long time.

  • It uses the RC-mod system, it acts like an expansion to BfMEII, but requires RotWK
  • Only Moria has been mostly completed
  • You can BETA test it

 

Thank you for this information. So in other words the development of SEE is going slow and only one faction is done. I though that in the mean time things would have gone faster. I don't know if this is what would want to use at this point.

 

Nazgul is stuck cause his aquarium broken and all his fish died .He's been busy all summer .

Oh? I hope he could tell us when things would pick up and if he manage to sort his aquarium accident. I am not a programmer myself but I am a ICT guy (System Administrator) so if I would help out in any way I would. 

 

I hope that I can use my 1.07 version as a basic BFME2 edition and I am looking forward hearing from Valheru. 


Edited by Hulkster, 17 September 2013 - 02:59 PM.


#13 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 20 September 2013 - 05:28 PM

Just now I tried to run SEE 4.5 with my BFME2 (1.07) but I got an error and I made a printscreen and uploaded it here. Hope it will make sense to the creator of the 1.07 patch. :whatoa: 

Attached Thumbnails

  • BFME2 crash.jpg


#14 Lauri

Lauri

    Let us remember foREVer

  • Hosted
  • 10,419 posts
  • Location:Norway
  • Projects:'The 4th Age' and 'Shadow and Flame'
  •  The very worst T3A Team Chamber Member

Posted 20 September 2013 - 06:13 PM

1.06 is the last supported patch for SEE 4.5. It's quite likely that this error is an effect of SEE not being compatible with 1.07.


Shadow and Flame BETA 0.6 RELEASED - Link


#15 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 20 September 2013 - 06:56 PM

Yes, I know but this should change and this is the reason I created this thread.



#16 Lauri

Lauri

    Let us remember foREVer

  • Hosted
  • 10,419 posts
  • Location:Norway
  • Projects:'The 4th Age' and 'Shadow and Flame'
  •  The very worst T3A Team Chamber Member

Posted 20 September 2013 - 10:49 PM

Who should change it? Should the creators of the community patch(es) 1.07 take into accout things from a mod? Or several mods?

Or should SEE take into account things from another mod, which technically, the 'patch' is? If 1.07 is popular enough, you might see SEE supporting it after a while, but since the mod is built up from scratch you'll simply have to wait and see.


Shadow and Flame BETA 0.6 RELEASED - Link


#17 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,471 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 20 September 2013 - 10:51 PM

The newest version has no reason to be compatible, as it works like an expansion. And it has its own balancing. Playing both mods will be confusing won't it?


Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#18 Valheru

Valheru

    Ashen Shugar

  • Project Team
  • 763 posts
  • Location:Australia
  • Projects:patching & see

Posted 20 September 2013 - 11:57 PM

Matt is right, but I would imagine Hulk is more concerned about things such as higher map zoom and misc items. Patches cant support all mods and mods cant support all patches, like Matt said SEE has its own balancing anyways


SEE_Team_Rigger.jpg


#19 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,471 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 21 September 2013 - 03:41 AM

And SEE has more maps and a better camera system than vanilla. ;p

Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#20 Hulkster

Hulkster
  • Members
  • 17 posts

Posted 22 September 2013 - 02:02 PM

Who should change it? Should the creators of the community patch(es) 1.07 take into accout things from a mod? Or several mods?

Or should SEE take into account things from another mod, which technically, the 'patch' is? If 1.07 is popular enough, you might see SEE supporting it after a while, but since the mod is built up from scratch you'll simply have to wait and see.

 

The patch 1.07 has been created by an other person then EA, but doesn’t mean it can’t become the new standard in BFME2 development. If you read the full change-log of patch 1.07 then you realize that it is a hell lot better then 1.06. If patch 1.06 wouldn’t have been created then we would have still been at 1.05. Sure a patch is a mod with any game. Because it changes things in a game, so technically, all patches are mods (modifications).

 

The fact that Valheru created this patch and not EA doesn’t make it a mod to me. Because it doesn’t alter any basis things of the game but merely tweaks areas and fixes bugs. Although not official it is still a patch that EA should have created a long time ago. And SEE does modifies things and there for it is a true mod. That is the reason the 1.07 patch takes precedence (for me) over a modification such as SEE.

 

So, I think that the creator of the SEE should take into account that patch 1.07 is here and should alter his mod to that. He changed it for 1.06 to because that was the latest standard back then. He started from scratch, but the moment the SEE DC is really finished will take many years (if I see the development until now).

 

Sure, I am aware this only makes things more complicated, but I feel if you want to have the best SEE mod there is then they should make it for 1.07 patch.

 

The newest version has no reason to be compatible, as it works like an expansion. And it has its own balancing. Playing both mods will be confusing won't it?

 

I think there is a reason to make it compatible because you have a better base if you start developing from patch 1.07 instead of 1.06. But off course it is a choice of the person who creates the mod. I only want to create awareness of the mod, so it can be taken in consideration. I would like to know what the creator of the patch (Valheru) thinks about this. I assume he would like to team up with the creator of the SEE DC to make things work.

 

Matt is right, but I would imagine Hulk is more concerned about things such as higher map zoom and misc items. Patches cant support all mods and mods cant support all patches, like Matt said SEE has its own balancing anyways

 

Yes, that is right. But I assume your 1.07 patch should become the new standard right? A mod should support a patch and not the other way around. And yes there is no higher map zoom in SEE and so I had to use BFME2 Widescreen Enhanced 1.0 to fix that with SEE. I used the All-In-One Patch Installer & Switcher to change to 1.06, so I could use SEE 4.5 again along with the BFME2 Widescreen Enhanced 1.0.

 

And SEE has more maps and a better camera system than vanilla. ;p

 

Yes it has more maps but the maps that are from BFME1 don’t have the high zoom function as the BFME2 maps. The Widescreen Enhanced 1.0 patch doesn’t support them and so the low camera doesn’t work for me with a resolution of 1920 x 1200. So camera and zoom wise I would prefer patch 1.07 above SEE.

 

That is the reason I would like see those being incorporate with each other because you would have the best of both worlds. Or some sort of teamwork to make the ultimate edition with all the bug fixes and extra’s from patch 1.07 with on top of that the super nitro power of SEE DC (over 5 years maybe).

 

It depends on weither or not the creator of the SEE mod is willing to use patch 1.07.


Edited by Hulkster, 22 September 2013 - 02:08 PM.





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users